OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000545OMNeT++IDE / sequence chartpublic2012-02-29 21:072012-03-13 10:30
Reporterandras 
Assigned Torhornig 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2.1 
Target VersionFixed in Version4.2.2 
Summary0000545: freshly generated elog cannot be opened: "Missing mandatory token"
DescriptionThe attached elog file was generated with a fresh copy of OMNeT++ 4.2.1, using INET a7a8dda47377633d408840, examples/bgpv4/BGPOpen.

When opening it in the IDE, the following error occurs:

java.lang.RuntimeException: Missing mandatory token n in line BS id 13 tid 13 eid 13 etid 13 c 33 d "t=100G\nrcv:1 snt:0;q=txQueue;p=80,80;i=block/rxtx"

    at org.omnetpp.eventlog.engine.EventLogEngineJNI.new_EventLog(Native Method)
    at org.omnetpp.eventlog.engine.EventLog.<init>(EventLog.java:37)
    at org.omnetpp.common.eventlog.EventLogEditor.init(EventLogEditor.java:118)
    at org.omnetpp.sequencechart.editors.SequenceChartEditor.init(SequenceChartEditor.java:67)
    at org.eclipse.ui.internal.EditorManager.createSite(EditorManager.java:828)
    at org.eclipse.ui.internal.EditorReference.createPartHelper(EditorReference.java:647)
    at org.eclipse.ui.internal.EditorReference.createPart(EditorReference.java:465)
    at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:595)
    at org.eclipse.ui.internal.EditorReference.getEditor(EditorReference.java:289)
    at ...

Note that the line quoted in the message doesn't exist in the file; it appears to be a mixture of two or more separate lines.
TagsNo tags attached.
Attached Files? file icon config1-0.elog [^] (88,138 bytes) 2012-02-29 21:07

- Relationships

-  Notes
(0000732)
rhornig (administrator)
2012-03-12 14:32

Resolved with the 9cb212c commit. The file seek API was incorrectly used. YOu should never mismatch fileno and FILE* based API calls.
(0000736)
andras (administrator)
2012-03-13 10:30

Same cause as 0000547

- Issue History
Date Modified Username Field Change
2012-02-29 21:07 andras New Issue
2012-02-29 21:07 andras File Added: config1-0.elog
2012-02-29 21:35 andras Severity minor => major
2012-03-12 14:32 rhornig Note Added: 0000732
2012-03-12 14:32 rhornig Status new => resolved
2012-03-12 14:32 rhornig Fixed in Version => 4.2.2
2012-03-12 14:32 rhornig Resolution open => fixed
2012-03-12 14:32 rhornig Assigned To => rhornig
2012-03-13 10:30 andras Note Added: 0000736


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker